#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xad18a916, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x825b7e09, __VMLINUX_SYMBOL_STR(nft_unregister_chain_type) },
	{ 0xd3f7796e, __VMLINUX_SYMBOL_STR(nft_register_chain_type) },
	{ 0xdb7305a1, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x13b31520, __VMLINUX_SYMBOL_STR(ip6_route_me_harder) },
	{ 0xa6fb6be8, __VMLINUX_SYMBOL_STR(nft_do_chain) },
	{ 0xbd5737fc, __VMLINUX_SYMBOL_STR(ipv6_find_hdr) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nf_tables";

